.glow-btn {
  position: relative;
  padding: 14px 36px;
  font-family: 'Inter', sans-serif;
  font-size: 1.1rem;
  font-weight: 600;
  color: white;
  /* background: #e11d48; rose/rouge */
  border-radius: 999px;
  border: none;
  cursor: pointer;
  overflow: hidden;
  z-index: 1;
}

.glow-btn::before {
  content: "";
  position: absolute;
  inset: -2px; /* épaisseur du glow */
  border-radius: inherit;
  background: linear-gradient(
    90deg,
    #ff4d6d,
    #ff758f,
    #ff9a9e,
    #ff4d6d
  );
  background-size: 300% 300%;
  animation: rotateGlow 4s linear infinite;
  z-index: -1;
}

.glow-btn::after {
  content: "";
  position: absolute;
  inset: 2px;
  /* background: #e11d48; */
  border-radius: inherit;
  z-index: -1;
}

/* Animation circulaire */
@keyframes rotateGlow {
  0% {
    background-position: 0% 50%;
  }
  100% {
    background-position: 300% 50%;
  }
}


.glow-btn:hover::before {
  filter: blur(6px);
  animation-duration: 2s;
}

.glow-btn:hover {
  transform: scale(1.05);
}
